//    RW Gears
// ==============
// Actuators, Controls, and Mechatronics Library
// -Part of the RW Foundations suite of libraries

// Filename: ./include/gears/gears.hpp
// -Declarations of the baseline RW Gears library

#pragma once

#include "incls_all.hpp"

namespace rw::gears {

//------------------------------------------------------------------------------
/**
 */
class Gears_b : public RW {
 public:
  Gears_b();                                    // default ctor
  explicit Gears_b(std::string const& handle);  // tag-parm'd ctor
};

//------------------------------------------------------------------------------
/**
 */
class Gears : public Gears_b {
 public:
  Gears();                                    // default ctor
  explicit Gears(std::string const& handle);  // tag-parm'd ctor
};

}  // namespace rw::gears

//    --=^=--

// "Probably shouldn't stick your fingers in there, Bro..."

// rw_gears_lib.v220319
// Copyright (2022)
// License MIT (Expat) https://opensource.org/licenses/MIT
