//  RW Artstory
// ==============
// Storyboarding Production Tools Library
// -Part of the RW Foundations suite of libraries

// Filename: ./include/action/artstory.hpp
// -Declarations of the baseline RW Artstory sub-library

#pragma once

#include "incls_all.hpp"

namespace rw::action {

//------------------------------------------------------------------------------
/**
 */
class Artstory_b : public RW {
 public:
  Artstory_b();                                    // default ctor
  explicit Artstory_b(std::string const& handle);  // tag-parm'd ctor
};

//------------------------------------------------------------------------------
/**
 */
class Artstory : public Artstory_b {
 public:
  Artstory();                                    // default ctor
  explicit Artstory(std::string const& handle);  // tag-parm'd ctor
};

}  // namespace rw::action

//    --=^=--

// "We witness Sumomo performing the wakey wakey exercises."

// rw_action_lib.v220319
// Copyright (2022)
// License MIT (Expat) https://opensource.org/licenses/MIT
